diff --git a/src/test/regress/expected/brin.out b/src/test/regress/expected/brin.out
index 2be4b7c..6a0f207 100644
--- a/src/test/regress/expected/brin.out
+++ b/src/test/regress/expected/brin.out
@@ -61,7 +61,7 @@ INSERT INTO brintest (inetcol, cidrcol, int4rangecol) SELECT
 	inet 'fe80::6e40:8ff:fea9:8c46' + tenthous,
 	cidr 'fe80::6e40:8ff:fea9:8c46' + tenthous,
 	'empty'::int4range
-FROM tenk1 LIMIT 25;
+FROM tenk1 ORDER BY tenthous LIMIT 25;
 CREATE INDEX brinidx ON brintest USING brin (
 	byteacol,
 	charcol,
diff --git a/src/test/regress/sql/brin.sql b/src/test/regress/sql/brin.sql
index f47ef04..23c712a 100644
--- a/src/test/regress/sql/brin.sql
+++ b/src/test/regress/sql/brin.sql
@@ -63,7 +63,7 @@ INSERT INTO brintest (inetcol, cidrcol, int4rangecol) SELECT
 	inet 'fe80::6e40:8ff:fea9:8c46' + tenthous,
 	cidr 'fe80::6e40:8ff:fea9:8c46' + tenthous,
 	'empty'::int4range
-FROM tenk1 LIMIT 25;
+FROM tenk1 ORDER BY tenthous LIMIT 25;
 
 CREATE INDEX brinidx ON brintest USING brin (
 	byteacol,
